### Method

# EDataBook BookSqlite ref_source

since: 3.16

#### Declaration [src]

    ESource*
    e_book_sqlite_ref_source (
      EBookSqlite* ebsql
    )

#### Description [src]

References the `ESource` to which `ebsql` is paired, use `g_object_unref()` when finished using the source. It can be `NULL` in some cases, like when running tests.

Available since: 3.16

#### Return value

Type: `ESource`

A reference to the `ESource` to which `ebsql` is paired, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.